package com.huiju.estateagents.redpack.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 红包助力活动
 * </p>
 *
 * @author fxf
 * @since 2020-06-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaRedPacket implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 活动ID
     */
    @TableId(value = "activity_id", type = IdType.UUID)
    private String activityId;

    /**
     * 活动名称
     */
    private String name;

    /**
     * 活动开始时间
     */
    private LocalDateTime startDate;

    /**
     * 活动结束时间
     */
    private LocalDateTime endDate;

    /**
     * 活动结束提示
     */
    private String activityEndTip;

    /**
     * qrcode
     */
    private String qrcode;

    /**
     * 上榜人数限制
     */
    private Integer topLimitPersons;

    /**
     * 查看楼盘按钮位置 index首页,help助力页,rule规则页,多个逗号连接
     */
    private String buildingShowPos;

    /**
     * 关联楼盘
     */
    private String buildingId;

    /**
     * 楼盘名称
     */
    private String buildingName;

    /**
     * 生成海报按钮位置
     */
    private String posterShowPos;

    /**
     * 报名字段 json
     */
    private String joinFields;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 首页背景图
     */
    @TableField(exist = false)
    private String indexBackgroundImg;

    /**
     * 分享海报图
     */
    @TableField(exist = false)
    private String sharePosterImg;

    /**
     * 活动规则图
     */
    @TableField(exist = false)
    private String activityRulesImg;

    /**
     * 助力页背景图
     */
    @TableField(exist = false)
    private String helpBackgroundImg;

    /**
     * 排行榜背景图
     */
    @TableField(exist = false)
    private String rankingBackgroundImg;

    /**
     * 邀请好友按钮
     */
    @TableField(exist = false)
    private String inviteBtnImg;

    /**
     * 活动规则按钮
     */
    @TableField(exist = false)
    private String ruleBtnImg;

    /**
     * 我要参加按钮
     */
    @TableField(exist = false)
    private String joinBtnImg;

    /**
     * 查看排名按钮
     */
    @TableField(exist = false)
    private String topBtnImg;

    /**
     * 返回首页按钮
     */
    @TableField(exist = false)
    private String homeBtnImg;

    /**
     * 帮他助力按钮
     */
    @TableField(exist = false)
    private String helpBtnImg;

    /**
     * 生成海报按钮
     */
    @TableField(exist = false)
    private String posterBtnImg;

    /**
     * 项目详情按钮
     */
    @TableField(exist = false)
    private String buildingBtnImg;

    /**
     * 返回按钮
     */
    @TableField(exist = false)
    private String backBtnImg;

    /**
     * 红包助力配置
     */
    @TableField(exist = false)
    private TaRedPacketHelp taRedPacketHelp;

    /**
     * 红包金额配置
     */
    @TableField(exist = false)
    private TaRedPacketMoney taRedPacketMoney;

    /**
     * 红包客户端消息配置
     */
    @TableField(exist = false)
    private TaRedPacketClient taRedPacketClient;

    /**
     * 模板表配置的活动ID
     */
    @TableField(exist = false)
    private String templeActivityId;
}
